Name:		libgcal
Version:	0.9.6
Release:	3%{?dist}
Summary:	A library to access google calendar events and contacts

Group:		System Environment/Libraries
License:	BSD
URL:		http://code.google.com/p/libgcal/
Source0:	http://%{name}.googlecode.com/files/%{name}-%{version}.tar.bz2

BuildRequires:	libcurl-devel
BuildRequires:	libxml2-devel
BuildRequires:	check-devel
BuildRequires:	ca-certificates
BuildRequires:	cmake

%description
This is a library to access google calendar events and contacts, its purpose is
   - provide easy access to available events/contacts
   - enable common operations: add, delete, edit
   - have few dependencies (up until now, only requires libcurl and libxml)

It implements Google Data API 2.0 and is tested on Linux and MacOSX.


%package        devel
Summary:        Development files to use libgcal
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
libgcal is a library to access google calendar events and contacts: these are
the development files that can be used to link against it.


%prep
%setup -q

%build
%{cmake}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc COPYING README Changelog.txt
%{_libdir}/*.so.*

%files devel
%dir %{_includedir}/libgcal
%{_includedir}/libgcal/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgcal.pc
%{_libdir}/LibGCal

%changelog
* Thu Jun 16 2011 Mario Santagiuliana <mario@marionline.it> 0.9.6-3
- Update spec file
- Fix bug #659959

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 24 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.6-1
- update to 0.9.6

* Fri Nov 05 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.6-1
- update to 0.9.6

* Sat Aug 07 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.9.5-1
- update to 0.9.5

* Wed Jun 16 2010 Dennis Gilmore <dennis@ausil.us> 0.9.4-1
- update to 0.9.4

* Sun Mar 21 2010 Mario Ceresa <mrceresa@gmail.com> 0.9.3-4
- Removed INSTALL from the devel package

* Thu Mar 13 2010 Mario Ceresa <mrceresa@gmail.com> 0.9.3-3
- Patched pc_include (Thanks to Peter Lemenkov for the patch)

* Thu Jan 21 2010 Mario Ceresa <mrceresa@gmail.com> 0.9.3-2
- Fixed the comments from the reviewers

* Tue Dec 29 2009 Mario Ceresa <mrceresa@gmail.com> 0.9.3-1
- Initial RPM Release
